App\Entity\Adhesion:
    type: entity
    table: adhesions
    id:
        id:
            type: integer
            id: true
            generator:
                strategy: AUTO
    fields:
        saison:
            type: string
            length: 4
        date:
            type:datetime
        type:
            type: string
            length: 20
        montant:
            type: integer
    manyToOne:
        user:
            targetEntity: User
            inversedBy: adhesions
            joinColumns:
                user_id:
                    onDelete: CASCADE
